ark(1)

ark - Outil d'archivage pour KDE

ark [-b] [-a] [-e] [-O] [-c] [-f suffixe] [-p] [-t fichier] [-d] [-m] [-o dossier ] [KDE Frameworks Options génériques] [Options génériques pour Qt(TM)]

Description

Ark est un programme pour la gestion de divers formats de fichiers compressés dans l'environnement KDE. Les archives peuvent être affichées, extraites, créées et modifiées avec Ark. Le programme peut gérer divers formats comme tar, gzip, bzip2, zip, rar (lorsque les bibliothèques ou programmes en ligne de commande appropriés sont installés).

Modes de fonctionnement

Ark peut aussi bien être utilisé comme un programme autonome avec GUI, que comme un programme en ligne de commande afin de réaliser certaines tâches spécifiques.

Si invoqué sans les options -b (--batch) ou -c (--add), Ark est démarré comme un programme normal avec GUI.

Lorsque l'option -b (--batch) est utilisée, Ark peut être utilisé pour extraire le contenu d'un ou de plusieurs fichiers directement depuis la ligne de commande, sans lancer son GUI.

Lorsque l'option -c (--add) est utilisée, Ark demande quels fichiers doivent être ajoutés à une nouvelle archive ou à une archive existante.

Options

-d, --dialog
    Affiche une boîte de dialogue pour spécifier les options pour une opération par lot ou une opération d'ajout.

-m, --mimetypes
    Liste les types MIME pris en charge.

-o, --destination dossier
    Définit le dossier d'extraction par défaut comme étant dossier. Si non spécifié, l'emplacement courant est utilisé.

  Options pour l'ajout de fichiers

-c, --add
    Demande un nom de fichier d'archive à l'utilisateur et y ajoute les fichiers spécifiés. Quitte l'application une fois la tâche terminée.

-t, --add-to nom-de-fichier
    Ajoute les fichiers spécifiés à nom-de-fichier. Crée l'archive si elle n'existe pas. Quitte l'application une fois l'opération terminée.

-p, --changetofirstpath
    Modifie le dossier courant en prenant celui de la première entrée et ajoute toutes les autres entrées relativement à celui-ci.

-f, --autofilename suffixe
    Choisit automatiquement un nom de fichier, avec le suffixe sélectionné (par exemple rar, tar.gz, zip ou tout autre type pris en charge).

  Options pour l'extraction par lot

-b, --batch
    Utiliser l'interface de traitement en lot au lieu de la boîte de dialogue habituelle. Cette option est implicite si plus d'une URL est spécifiée.

-e, --autodestination
    L'argument de destination sera défini comme l'emplacement du premier fichier fourni.

-a, --autosubfolder
    Le contenu de l'archive sera lu, et s'il ne s'agit pas d'une archive à dossier unique, un sous-dossier du nom de l'archive sera créé.

-O, --opendestination
    Ouvrir le dossier de destination quand l'extraction est terminée.

Voir aussi.
    Veuillez consulter la documentation utilisateur à partir de la page help:/ark ou en saisissant cette URL dans Konqueror, ou grâce au centre d'aide khelpcenter help:/ark).
    kf6options(7)
    qt6options(7)

Exemples

ark --batch archive.tar.bz2
    Ceci extraie archive.tar.bz2 dans le dossier courant sans afficher aucune GUI.

ark -b -d archive.tar.bz2 archive2.zip
    Ceci affiche d'abord une boîte de dialogue d'options d'extraction puis extraie archive.tar.bz2 et archive2.zip dans le dossier sélectionné dans la boîte de dialogue.

ark --add-to mon-archive.zip photo1.jpg texte.txt
    Ceci crée mon-archive.zip si elle n'existe pas puis lui ajoute photo1.jpg et texte.txt.

Maintenance

Ark est actuellement maintenu par Elvis Angelaccio et Ragnar Thomsen.

Lauri Watts <lauri@kde.org>
    Version initiale des pages de manuel pour Ark en 2005.

Raphael Kubo da Costa <rakuco@FreeBSD.org>
    Mise à jour des pages de manuel de Ark en 2009.

Ragnar Thomsen <rthomsen6@gmail.com>
    Mise à jour des pages de manuel de Ark en 2015 et 2016.